Package org.apache.commons.math3.optimization

# Interface MultivariateDifferentiableOptimizer

All Superinterfaces:
  `BaseMultivariateOptimizer<MultivariateDifferentiableFunction>`, `BaseOptimizer<PointValuePair>`

All Known Implementing Classes:
  `MultivariateDifferentiableMultiStartOptimizer`

@Deprecated public interface MultivariateDifferentiableOptimizer extends BaseMultivariateOptimizer<MultivariateDifferentiableFunction>
Deprecated.
As of 3.1 (to be removed in 4.0).
This interface represents an optimization algorithm for `scalar differentiable objective functions`. Optimization algorithms find the input point set that either `maximize or minimize` an objective function.

Since:
  3.1
See Also:
  - `MultivariateOptimizer`
  - `MultivariateDifferentiableVectorOptimizer`

## Method Summary

### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateOptimizer

`optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`